summaryrefslogtreecommitdiff
path: root/bin/heroku
diff options
context:
space:
mode:
Diffstat (limited to 'bin/heroku')
-rwxr-xr-xbin/heroku35
1 files changed, 35 insertions, 0 deletions
diff --git a/bin/heroku b/bin/heroku
new file mode 100755
index 00000000..12f9cc17
--- /dev/null
+++ b/bin/heroku
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+set -e
+
+if [ "$BUILD_ASSETS" = true ]; then
+ BUILD_ASSETS=false npm install && npm run assets:install
+
+ # setup config files
+ cat << EOF > .sequelizerc
+var path = require('path');
+
+module.exports = {
+ 'config': path.resolve('config.json'),
+ 'migrations-path': path.resolve('lib', 'migrations'),
+ 'models-path': path.resolve('lib', 'models'),
+ 'url': process.env.DATABASE_URL,
+ 'dialect': process.env.DB_TYPE
+}
+
+EOF
+
+ cat << EOF > config.json
+
+{
+ "production": {
+ }
+}
+
+EOF
+
+ cp public/js/config.js.example public/js/config.js
+
+ # build app
+ npm run build
+fi